object ScalaDemo8 {
  def main(args: Array[String]): Unit = {
    /*
    * 判断是否包含指定的数据：我们想要判断序列是否已指定的数据开头或结尾，以及判断序列是否包含指定的数据，我们可以使用一下方法：
    *   startsWith:判断集合是否已指定的内容开头
    *   endsWith:判断集合是否以指定的内容结尾
    *   contains:判断集合是否包含某个指定的数据
    *   containsSlice:判断集合是否包含某个指定的子序列
    * */
    //创建Seq集合
    val s1 = (1 to 10).toSeq
    //判断s1集合是否包含子序列（1,2）开头
    println(s1.startsWith(Seq(1,2)))
    //判断集合是否已子序列（1,3）开头
    println(s1.startsWith(Seq(1,3)))
    //判断集合是否以指定的内容结尾
    println(s1.endsWith(Seq(9,10)))
    //判断s1集合是否包含元素3
    println(s1.contains(3))
    //判断s1集合是否包含子序列（1,2）
    println(s1.containsSlice(Seq(1,2)))
    println(s1.containsSlice(Seq(1,3)))
  }
}
